| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiConfig.ControlFlow.InvertNode Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.InvertNode:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.InvertNode:
[legend]

## Public Member Functions
def | __init__ (self, item)
def | __repr__ (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Public Attributes
| item

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Detailed Description

    Invert logic (negation) of a control flow node.

Definition at line 128 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow.InvertNode.__init__ | ( |  | self,
|  |  | item
| ) |  |

Definition at line 132 of file ControlFlow.py.

132 def __init__(self, item):
133 self.item = item
134
GaudiConfig.ControlFlow.InvertNode.item
item
Definition: ControlFlow.py:133
GaudiConfig.ControlFlow.InvertNode.__init__
def __init__(self, item)
Definition: ControlFlow.py:132

## Member Function Documentation

def GaudiConfig.ControlFlow.InvertNode.__repr__ | ( |  | self | ) |

Definition at line 135 of file ControlFlow.py.

135 def __repr__(self):
136 return "~%r" % self.item
137
GaudiConfig.ControlFlow.InvertNode.item
item
Definition: ControlFlow.py:133
GaudiConfig.ControlFlow.InvertNode.__repr__
def __repr__(self)
Definition: ControlFlow.py:135

def GaudiConfig.ControlFlow.InvertNode._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 138 of file ControlFlow.py.

138 def _visitSubNodes(self, visitor):
139 self.item.visitNode(visitor)
140
141
GaudiConfig.ControlFlow.InvertNode._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:138

## Member Data Documentation

GaudiConfig.ControlFlow.InvertNode.item

Definition at line 133 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py